%{!?__pecl:     %{expand: %%global __pecl     %{_bindir}/pecl}}
%{!?php_extdir: %{expand: %%global php_extdir %(php-config --extension-dir)}}

%define pecl_name protobuf

Summary:      Google's Protocol Buffers for PHP
Name:         php-protobuf
Version:      0.11.0
Release:      1%{?dist}
License:      MIT
Group:        Development/Languages
URL:          https://github.com/allegro/php-protobuf

Source:       %{name}-%{version}.tar.gz

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: php-devel, php-pear
Requires(post): %{__pecl}
Requires(postun): %{__pecl}
Provides:     php(%{pecl_name}) = %{version}-%{release}
Requires:     php(zend-abi) = %{php_zend_api}
Requires:     php(api) = %{php_core_api}

%description
Protocol Buffers are a way of encoding structured data in an efficient yet
extensible format. It might be used in file formats and RPC protocols.
PHP Protobuf is Google's Protocol Buffers implementation for PHP with a goal to
provide high performance, including a protoc plugin to generate PHP classes from
.proto files. The heavy-lifting (a parsing and a serialization) is done by a PHP
extension.


%prep 
%setup


%build
phpize
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{pecl_name}.ini << 'EOF'
; Enable %{pecl_name} extension module
extension=%{pecl_name}.so
EOF


%check
TEST_PHP_EXECUTABLE=$(which php) php run-tests.php \
    -n -q -d extension_dir=modules \
    -d extension=%{pecl_name}.so \


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc CREDITS LICENSE.md README.md
%config(noreplace) %{_sysconfdir}/php.d/%{pecl_name}.ini
%{php_extdir}/%{pecl_name}.so


%changelog
* Mon Jul 18 2016 Ernani Azevedo <azevedo@voipdomain.io> - 0.11.0-1
- First version of this spec
